%global pypi_name proglog

Name:           python-%{pypi_name}
Version:        0.1.9
Release:        1%{?dist}
Summary:        Log and progress bar manager for console, notebooks, web
License:        MIT
URL:            https://github.com/Edinburgh-Genome-Foundry/Proglog
Source0:        https://pypi.io/packages/source/p/%{pypi_name}/%{pypi_name}-%{version}.tar.gz
BuildArch:      noarch

%description
Proglog is a progress logging system for Python. It allows to build
complex libraries while giving the user control on the management of
logs, callbacks and progress bars.

%package -n python%{python3_pkgversion}-%{pypi_name}
Summary:        Log and progress bar manager for console, notebooks, web
BuildRequires:  python%{python3_pkgversion}-devel
BuildRequires:  python%{python3_pkgversion}-setuptools

%{?python_provide:%python_provide python%{python3_pkgversion}-%{pypi_name}}

%description -n python%{python3_pkgversion}-%{pypi_name}
Proglog is a progress logging system for Python. It allows to build
complex libraries while giving the user control on the management of
logs, callbacks and progress bars.
This is the Python 3 build of %{pypi_name}.

%prep
%setup -q -n %{pypi_name}-%{version}

# Remove bundled egg-info
rm -rf %{pypi_name}.egg-info

%build
%py3_build

%install
%py3_install

%files -n python%{python3_pkgversion}-%{pypi_name}
%doc README.rst
%license LICENCE.txt
%{python3_sitelib}/%{pypi_name}/
%{python3_sitelib}/%{pypi_name}-%{version}-py%{python3_version}.egg-info/

%changelog
* Mon May 03 2021 Jean-Marc Liger <ligenix@iscp.fr> 0.1.9-1
- Import from OpenMandriva
- Rename python3-%{pypi_name} to %{python3_pkgversion}-%{pypi_name}
